#
# spec file for package pdns-recursor (Version 3.1.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison boost boost-devel bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libicu libltdl libmudflap41 libnscd libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           pdns-recursor
Version:        3.1.3
Release:        22.2
%define pkg_version    3.1.3
#
Group:          Productivity/Networking/DNS/Servers
License:        GPL v2 or later
#
%define home           %{_var}/lib/pdns
%define _localstatedir %{_var}/run/pdns
BuildRequires:  boost-devel gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq %fillup_prereq /usr/sbin/useradd /usr/sbin/groupadd
#
Url:            http://www.powerdns.com/
Source:         http://downloads.powerdns.com/releases/%{name}-%{pkg_version}.tar.bz2
Source1:        pdns-recursor.init
Source2:        recursor.conf
Patch:          pdns-recursor-%{version}_config.patch
Patch1:         pdns-recursor_3.1.3_strip.patch
Patch2:         pdns-recursor-3.1.3_cve-2006-4251.patch
Patch3:         pdns-recursor-3.1.3_implicit_declarations.patch
Patch4:         pdns-recursor-3.1.3_2006-02.patch
Patch5:         %{name}-%{version}-random.patch
Patch6:         %{name}-%{version}-random2.patch
#
Summary:        Modern, advanced and high performance recursing/non authoritative nameserver

%description
PowerDNS Recursor is a non authoritative/recursing DNS server. Use this
package if you need a dns cache for your network.



Authors:
--------
    http://www.powerdns.com

%debug_package
%prep
%setup -n %{name}-%{pkg_version}
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6

%build
%{__make} OPTFLAGS="%{optflags}"

%install
%{__install} -Dd -m 0755 %{buildroot}{%{home},%{_localstatedir}}
%makeinstall CONFIGDIR="%{_sysconfdir}/pdns" BINDIR="%{_sbindir}"
%{__install} -D -m 0644 %{S:2} %{buildroot}%{_sysconfdir}/pdns/recursor.conf
%{__install} -D -m 0755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/%{name}
%{__ln_s} -f %{_sysconfdir}/init.d/%{name} %{buildroot}%{_sbindir}/rc%{name}

%clean
%{__rm} -rf %{buildroot}

%pre
/usr/sbin/groupadd -r pdns &>/dev/null || :
/usr/sbin/useradd -o -g pdns -s /bin/false -r -c "pdns" -d %{home} pdns &>/dev/null || :

%post
%{fillup_and_insserv pdns-recursor}

%preun
%stop_on_removal pdns-recursor

%postun
%restart_on_update pdns-recursor
%insserv_cleanup

%files
%defattr (-,root,root,-)
%dir %{_sysconfdir}/pdns/
%config(noreplace) %{_sysconfdir}/pdns/recursor.conf
%config %{_sysconfdir}/pdns/recursor.conf-dist
%{_sysconfdir}/init.d/%{name}
%{_sbindir}/rcpdns-recursor
%{_sbindir}/pdns_recursor
%{_sbindir}/rec_control
%{_mandir}/man1/pdns_recursor.1*
%{_mandir}/man1/rec_control.1*
%doc README COPYING rrd/
%dir %{home}
%dir %{_localstatedir}

%changelog
* Wed May 14 2008 - anosek@suse.cz
- fixed UDP source port generation (bnc#375400)
* Wed Apr 02 2008 - anosek@suse.cz
- fixed VUL-0: pdns DNS spoofing vulnerability (bnc#375400)
  (random.patch)
* Mon Nov 13 2006 - mrueckert@suse.de
- added pdns-recursor-3.1.3_2006-02.patch:
  fix an endless recursion in CNAME handling [#219355]
* Sun Nov 12 2006 - mrueckert@suse.de
- added pdns-recursor-3.1.3_cve-2006-4251.patch:
  fix a stack corruption with malformed packages [#219355]
- added pdns-recursor-3.1.3_implicit_declarations.patch:
  fix an implicit declaration warning from gcc
  http://wiki.powerdns.com/cgi-bin/trac.fcgi/changeset/920
* Mon Nov 06 2006 - schwab@suse.de
- Don't strip binaries.
* Mon Oct 23 2006 - mrueckert@suse.de
- initial package of version 3.1.3
